%define name	viking
%define version	0.9.4
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	Global positioning system (GPS) and mapping manager
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/viking/%{name}-%{version}.tar.gz
URL:		http://viking.sourceforge.net
License:	GPLv2
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgtk+2.0-devel
BuildRequires:	expat-devel curl-devel
BuildRequires:	ImageMagick
BuildRequires:	gpsd-devel
Requires:	gpsbabel

%description
Viking is a free/open source program to manage GPS data. You can import and
plot tracks and waypoints, show Terraserver maps under it, add coordinate
lines, make new tracks and waypoints, hide different things, etc. 

%prep
%setup -q

%build
%configure2_5x
make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %name

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Viking
Comment=GPS data manager
Exec=%{name}
Icon=%name
Terminal=false
Type=Application
Categories=GTK;DataVisualization;Geography;Science;
EOF

# icons
mkdir -p %buildroot/%{_miconsdir}
convert -size 16x16 src/icons/viking_icon.png %buildroot/%{_miconsdir}/%name.png
mkdir -p %buildroot/%{_iconsdir}
convert -size 32x32 src/icons/viking_icon.png %buildroot/%{_iconsdir}/%name.png
mkdir -p %buildroot/%{_liconsdir}
convert -size 48x48 src/icons/viking_icon.png %buildroot/%{_liconsdir}/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc README COPYING TODO
%{_bindir}/%name
%{_bindir}/%name-remote
%{_datadir}/applications/*
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png


%changelog
* Wed Jun 11 2008 Austin Acton <austin@mandriva.org> 0.9.4-1mdv2009.0
+ Revision: 217828
- new version
- lang files

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Funda Wang <fundawang@mandriva.org>
    - fix URL
    - Clearify license

* Tue Oct 23 2007 Funda Wang <fundawang@mandriva.org> 0.9.3-1mdv2008.1
+ Revision: 101508
- update to new version 0.9.3
- fix file list

* Wed Sep 05 2007 Funda Wang <fundawang@mandriva.org> 0.9.2-1mdv2008.0
+ Revision: 80139
- New version 0.9.2

* Mon Sep 03 2007 Funda Wang <fundawang@mandriva.org> 0.9.1-1mdv2008.0
+ Revision: 78438
- New version 0.9.1

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Wed Jul 18 2007 Austin Acton <austin@mandriva.org> 0.9-1mdv2008.0
+ Revision: 53160
- buildrequires curl-devel
- new version
- use own icon

* Fri Jun 15 2007 Austin Acton <austin@mandriva.org> 0.1.3-2mdv2008.0
+ Revision: 39825
- requires gpsbabel

* Fri May 18 2007 Austin Acton <austin@mandriva.org> 0.1.3-1mdv2008.0
+ Revision: 27742
- new version

* Mon Apr 30 2007 Austin Acton <austin@mandriva.org> 0.1.2-1mdv2008.0
+ Revision: 19640
- XDG menu
- buildrequires expat
- new version
- Import viking



* Fri Mar 11 2005 Austin Acton <austin@mandrake.org> 0.1.0-1mdk
- 0.1.0
- source URL
- cflags
- fix menu

* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 0.0.5-2mdk
- Fix menu

* Wed Jul 16 2003 Austin Acton <aacton@yorku.ca> 0.0.5-1mdk
- initial package
